// officeHour
package models

type OfficeHour struct {
	Id    int
	Tutor Tutor
	Week  int
	Date
	Room     Room
	Course   Course
	Info     string
	Active   bool
	Duration int
}

type OfficeHourRepository interface {
	FindById(id int) (OfficeHour, error)
	FindByCourse(course Course) ([]OfficeHour, error)
	FindByRoom(room Room) ([]OfficeHour, error)
	GetAll() ([]OfficeHour, error)
	Delete(officeHour OfficeHour) error
	Add(officeHour OfficeHour) error
}
